/*
 * Copyright 2008-2009 the Project Tsukuyomi and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package jp.sourceforge.tsukuyomi.openid;

/**
 * Tsukuyomi OpenID で発生するさまざまな例外をラップする実行時例外クラスです。
 * 
 * @author asuka
 */
public class OpenIDRuntimeException extends RuntimeException {
	private static final long serialVersionUID = -2040318902682732100L;

	/**
	 * 原因の例外を指定して新たに例外オブジェクトを生成します。
	 * 
	 * @param cause
	 *            原因の例外
	 */
	public OpenIDRuntimeException(Throwable cause) {
		super(cause);
	}
}
